package com.ssj.service.conch.parents.v1.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class AddChildReq extends BaseRequest{
	private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "imgUrl", value = "小孩头像", required = false)
    private String imgUrl;
    
    @ApiModelProperty(name = "childName", value = "小孩姓名", required = true)
    private String childName;
    
    @ApiModelProperty(name = "sex", value = "小孩性别（1男2女）", required = false)
    private String sex;
    
    @ApiModelProperty(name = "parentName", value = "家长姓名", required = false)
    private String parentName;
    
    @ApiModelProperty(name = "phone", value = "手机号", required = false)
    private String phone;
    
    @ApiModelProperty(name = "grade", value = "年级", required = false)
    private String grade;
    
    @ApiModelProperty(name = "school", value = "就读学校", required = false)
    private String school;
    
    @ApiModelProperty(name = "derver", value = "设备号", required = false)
    private String derver;
	
	@ApiModelProperty(name = "longitude", value = "经度", required = false)
    private String longitude;
    
    @ApiModelProperty(name = "latitude", value = "纬度", required = false)
    private String latitude;
    
    @ApiModelProperty(name = "masterId", value = "校长userId", required = false)
    private String masterId;
    
    @ApiModelProperty(name = "type", value = "1:添加小孩 2,添加小孩并绑定贝壳，3:添加小孩并绑定校长", required = true)
    private int type;
    
    @ApiModelProperty(name = "parentRole", value = "家长角色名称", required = true)
    private String parentRole;

	public String getImgUrl() {
		return imgUrl;
	}

	public void setImgUrl(String imgUrl) {
		this.imgUrl = imgUrl;
	}

	public String getChildName() {
		return childName;
	}

	public void setChildName(String childName) {
		this.childName = childName;
	}

	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public String getSchool() {
		return school;
	}

	public void setSchool(String school) {
		this.school = school;
	}

	public String getDerver() {
		return derver;
	}

	public void setDerver(String derver) {
		this.derver = derver;
	}

	public String getLongitude() {
		return longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public String getLatitude() {
		return latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}

	public String getMasterId() {
		return masterId;
	}

	public void setMasterId(String masterId) {
		this.masterId = masterId;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public String getParentRole() {
		return parentRole;
	}

	public void setParentRole(String parentRole) {
		this.parentRole = parentRole;
	}

}
